/**
 * OW2 Util
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: PoolStateImpl.java 6167 2012-02-09 16:46:06Z sauthieg $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.pool.impl;

import org.ow2.util.pool.api.FactoryState;
import org.ow2.util.pool.api.IPoolState;

/**
 * Statistics class.
 * @author Gael Lalire
 */
public class PoolStateImpl implements IPoolState {

    private int availableItemCount;
    private int busyItemCount;
    private int creatingItemCount;
    private int expectedItemCount;
    private int removingItemCount;
    private FactoryState factoryState;

    public int getAvailableItemCount() {
        return availableItemCount;
    }

    public int getBusyItemCount() {
        return busyItemCount;
    }

    public int getCreatingItemCount() {
        return creatingItemCount;
    }


    public int getExpectedItemCount() {
        return expectedItemCount;
    }

    public FactoryState getFactoryState() {
        return factoryState;
    }


    public int getRemovingItemCount() {
        return removingItemCount;
    }


    public void setAvailableItemCount(final int availableItemCount) {
        this.availableItemCount = availableItemCount;
    }


    public void setBusyItemCount(final int busyItemCount) {
        this.busyItemCount = busyItemCount;
    }


    public void setCreatingItemCount(final int creatingItemCount) {
        this.creatingItemCount = creatingItemCount;
    }


    public void setExpectedItemCount(final int expectedItemCount) {
        this.expectedItemCount = expectedItemCount;
    }


    public void setFactoryState(final FactoryState factoryState) {
        this.factoryState = factoryState;
    }


    public void setRemovingItemCount(final int removingItemCount) {
        this.removingItemCount = removingItemCount;
    }

}
